Docs

Create Share

POST /documents/{documentId}/shares

POST/documents/{documentId}/shares

Grants a collaborator or crew member access to a document with one or more of Read, Write and Admin. Provide exactly one of collaboratorId or crewId; sharing with a collaborator grants access to all of their crew members. Requires Admin access on the document (the EventDocumentsEdit permission or an Admin share).

Path Parameters

FieldTypeRequiredDescription
documentIduuidRequired

Request Body

FieldTypeRequiredDescription
collaboratorIduuidOptional
crewIduuidOptional
permissionsstring[]Optional